## org.exist.xquery
Class Option

    java.lang.Object
      org.exist.xquery.Option

public class Option
extends java.lang.Object

Represents an XQuery option declared via "declare option".

Author:
  wolf

Field Summary
`static QName` `OUTPUT_SIZE_QNAME`
`static QName` `PROFILE_QNAME`
`static QName` `SERIALIZE_QNAME`
`static QName` `TIMEOUT_QNAME`

Constructor Summary
`Option(QName qname, java.lang.String contents)`

Method Summary
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getContents()`
`QName` `getQName()`
`static java.lang.String[]` `parseKeyValuePair(java.lang.String s)`
`java.lang.String[]` `tokenizeContents()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIMEOUT_QNAME

    public static final QName TIMEOUT_QNAME

### OUTPUT_SIZE_QNAME

    public static final QName OUTPUT_SIZE_QNAME

### SERIALIZE_QNAME

    public static final QName SERIALIZE_QNAME

### PROFILE_QNAME

    public static final QName PROFILE_QNAME

Constructor Detail

### Option

    public Option(QName qname,
                  java.lang.String contents)

Method Detail

### getQName

    public QName getQName()

### getContents

    public java.lang.String getContents()

### tokenizeContents

    public java.lang.String[] tokenizeContents()

### parseKeyValuePair

    public static java.lang.String[] parseKeyValuePair(java.lang.String s)

### equals

    public boolean equals(java.lang.Object other)

Copyright (C) Wolfgang Meier. All rights reserved.